diff --git a/tests/manager/test_all.py b/tests/manager/test_all.py
index b410ebf..0f52a35 100644
--- a/tests/manager/test_all.py
+++ b/tests/manager/test_all.py
@@ -1,12 +1,10 @@
-# -*- coding: utf-8 -*-
-
 import copy
 import datetime
 import json
 import os
+from unittest import mock
 
 import freezegun
-import mock
 import pytest
 import requests
 from django.contrib.auth.models import Group
@@ -68,7 +66,7 @@ def test_manager_user_access(app, manager_user):
     app = login(app, username='manager', password='manager')
     assert app.get('/manage/', status=403)
 
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     assert app.get('/manage/', status=403)
 
@@ -112,7 +110,7 @@ def test_menu_json(app, admin_user):
 
 
 def test_events_agenda_redirect(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo Bar', kind='events')
+    agenda = Agenda.objects.create(label='Foo Bar', kind='events')
 
     app = login(app)
     resp = app.get('/manage/agendas/%s/' % agenda.pk, status=302)
@@ -131,7 +129,7 @@ def test_events_agenda_redirect(app, admin_user):
 
 @freezegun.freeze_time('2020-07-12')
 def test_events_agenda_month_redirect(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo Bar', kind='events')
+    agenda = Agenda.objects.create(label='Foo Bar', kind='events')
 
     app = login(app)
     # no event, redirect to current month
@@ -183,7 +181,7 @@ def test_events_agenda_month_redirect(app, admin_user):
 
 @freezegun.freeze_time('2020-07-12')
 def test_events_agenda_day_redirect(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo Bar', kind='events')
+    agenda = Agenda.objects.create(label='Foo Bar', kind='events')
 
     app = login(app)
     # no event, redirect to current day
@@ -234,7 +232,7 @@ def test_events_agenda_day_redirect(app, admin_user):
 
 
 def test_meetings_agenda_redirect(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo Bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo Bar', kind='meetings')
 
     app = login(app)
     resp = app.get('/manage/agendas/%s/' % agenda.pk, status=302)
@@ -247,7 +245,7 @@ def test_meetings_agenda_redirect(app, admin_user):
 
 
 def test_virtual_agenda_redirect(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo Bar', kind='virtual')
+    agenda = Agenda.objects.create(label='Foo Bar', kind='virtual')
 
     app = login(app)
     resp = app.get('/manage/agendas/%s/' % agenda.pk, status=302)
@@ -260,7 +258,7 @@ def test_virtual_agenda_redirect(app, admin_user):
 
 
 def test_view_agendas_as_admin(app, admin_user):
-    Agenda.objects.create(label=u'Bar Foo')
+    Agenda.objects.create(label='Bar Foo')
 
     app = login(app)
     resp = app.get('/manage/', status=200)
@@ -268,11 +266,11 @@ def test_view_agendas_as_admin(app, admin_user):
 
 
 def test_view_agendas_as_manager(app, manager_user):
-    agenda = Agenda(label=u'Foo Bar')
+    agenda = Agenda(label='Foo Bar')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
 
-    agenda2 = Agenda(label=u'Bar Foo')
+    agenda2 = Agenda(label='Bar Foo')
     agenda2.save()
 
     app = login(app, username='manager', password='manager')
@@ -406,10 +404,10 @@ def test_add_agenda_and_set_role(app, admin_user, manager_user):
 
 
 def test_options_agenda(app, admin_user):
-    agenda_events = Agenda.objects.create(label=u'Foo bar', kind='events')
+    agenda_events = Agenda.objects.create(label='Foo bar', kind='events')
     Desk.objects.create(agenda=agenda_events, slug='_exceptions_holder')
-    agenda_meetings = Agenda.objects.create(label=u'Foo bar', kind='meetings')
-    Agenda.objects.create(label=u'Foo bar', kind='virtual')
+    agenda_meetings = Agenda.objects.create(label='Foo bar', kind='meetings')
+    Agenda.objects.create(label='Foo bar', kind='virtual')
 
     app = login(app)
     resp = app.get('/manage/agendas/%s/edit' % agenda_events.pk)
@@ -451,7 +449,7 @@ def test_options_agenda(app, admin_user):
 
 def test_options_events_agenda_delays(settings, app, admin_user):
     settings.WORKING_DAY_CALENDAR = None
-    agenda = Agenda.objects.create(label=u'Foo bar')
+    agenda = Agenda.objects.create(label='Foo bar')
     assert agenda.minimal_booking_delay == 1
     app = login(app)
     url = '/manage/agendas/%s/booking-delays' % agenda.pk
@@ -471,7 +469,7 @@ def test_options_events_agenda_delays(settings, app, admin_user):
 
 
 def test_options_meetings_agenda_delays(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings', maximal_booking_delay=2)
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings', maximal_booking_delay=2)
     assert agenda.maximal_booking_delay == 2
     app = login(app)
     url = '/manage/agendas/%s/booking-delays' % agenda.pk
@@ -484,7 +482,7 @@ def test_options_meetings_agenda_delays(app, admin_user):
 
 
 def test_options_virtual_agenda_delays(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='virtual', maximal_booking_delay=2)
+    agenda = Agenda.objects.create(label='Foo bar', kind='virtual', maximal_booking_delay=2)
     assert agenda.maximal_booking_delay == 2
     app = login(app)
     url = '/manage/agendas/%s/booking-delays' % agenda.pk
@@ -586,7 +584,7 @@ def test_options_agenda_event_display_template(app, admin_user):
 
 
 def test_options_agenda_as_manager(app, manager_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
@@ -696,7 +694,7 @@ def test_options_meetings_agenda_num_queries(app, admin_user, managers_group):
 
 @mock.patch('chrono.agendas.models.Agenda.is_available_for_simple_management')
 def test_agenda_options_desk_simple_management(available_mock, app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     app = login(app)
 
     available_mock.return_value = True
@@ -752,7 +750,7 @@ def test_agenda_options_desk_simple_management(available_mock, app, admin_user):
 
 
 def test_delete_agenda(app, admin_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
     app = login(app)
@@ -766,7 +764,7 @@ def test_delete_agenda(app, admin_user):
 
 
 def test_delete_busy_agenda(app, admin_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
     event = Event(start_datetime=now() + datetime.timedelta(days=10), places=10, agenda=agenda)
@@ -797,7 +795,7 @@ def test_delete_busy_agenda(app, admin_user):
 
 
 def test_delete_agenda_as_manager(app, manager_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.edit_role = manager_user.groups.all()[0]
     agenda.save()
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
@@ -809,7 +807,7 @@ def test_delete_agenda_as_manager(app, manager_user):
 
 
 def test_delete_busy_desk(app, admin_user):
-    agenda = Agenda(label=u'Foo bar', kind='meetings')
+    agenda = Agenda(label='Foo bar', kind='meetings')
     agenda.save()
     desk_a = Desk.objects.create(agenda=agenda, label='Desk A')
     Desk.objects.create(agenda=agenda, label='Desk B')
@@ -854,7 +852,7 @@ def test_add_meetings_agenda(app, admin_user):
 
 
 def test_meetings_agenda_add_meeting_type(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     app = login(app)
     resp = app.get('/manage/agendas/%s/settings' % agenda.pk)
     assert "This agenda doesn't have any meeting type yet." in resp.text
@@ -878,10 +876,10 @@ def test_meetings_agenda_add_meeting_type(app, admin_user):
 
 
 def test_meetings_agenda_edit_meeting_type(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     meeting_type = MeetingType.objects.create(agenda=agenda, label='Blah')
     meeting_type2 = MeetingType.objects.create(agenda=agenda, label='Other')
-    other_agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    other_agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     other_meeting_type = MeetingType.objects.create(agenda=other_agenda, label='Blah')
     assert meeting_type.slug == other_meeting_type.slug
 
@@ -905,7 +903,7 @@ def test_meetings_agenda_edit_meeting_type(app, admin_user):
 
 
 def test_meetings_agenda_delete_meeting_type(app, admin_user):
-    agenda = Agenda(label=u'Foo bar', kind='meetings')
+    agenda = Agenda(label='Foo bar', kind='meetings')
     agenda.save()
 
     meeting_type = MeetingType(agenda=agenda, label='Blah')
@@ -933,7 +931,7 @@ def test_meetings_agenda_delete_meeting_type(app, admin_user):
 
 
 def test_meetings_agenda_add_time_period(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     desk2 = Desk.objects.create(agenda=agenda, label='Desk B')
     MeetingType.objects.create(agenda=agenda, label='Blah')
@@ -959,8 +957,8 @@ def test_meetings_agenda_add_time_period(app, admin_user):
     resp.form['end_time'] = '13:00'
     resp = resp.form.submit()
     resp = resp.follow()
-    assert u'Monday / 10 a.m. → 1 p.m.' in resp.text
-    assert u'Wednesday / 10 a.m. → 5 p.m.' in resp.text
+    assert 'Monday / 10 a.m. → 1 p.m.' in resp.text
+    assert 'Wednesday / 10 a.m. → 5 p.m.' in resp.text
     assert resp.text.index('Monday') < resp.text.index('Wednesday')
 
     # invert start and end
@@ -982,7 +980,7 @@ def test_meetings_agenda_add_time_period(app, admin_user):
 
 
 def test_meetings_agenda_add_time_period_desk_simple_management(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings', desk_simple_management=True)
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings', desk_simple_management=True)
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     desk2 = Desk.objects.create(agenda=agenda, label='Desk B')
     assert agenda.is_available_for_simple_management() is True
@@ -1001,7 +999,7 @@ def test_meetings_agenda_add_time_period_desk_simple_management(app, admin_user)
 
 def test_meetings_agenda_add_time_period_on_missing_desk(app, admin_user):
     app = login(app)
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     app.get('/manage/agendas/%s/desk/0/add-time-period' % agenda.pk, status=404)
 
 
@@ -1037,7 +1035,7 @@ def test_meetings_agenda_add_time_period_as_manager(app, manager_user):
 
 
 def test_meetings_agenda_edit_time_period(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     time_period = TimePeriod.objects.create(
         desk=desk, weekday=0, start_time=datetime.time(9, 0), end_time=datetime.time(12, 0)
@@ -1066,7 +1064,7 @@ def test_meetings_agenda_edit_time_period(app, admin_user):
 
 
 def test_meetings_agenda_edit_time_period_desk_simple_management(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings', desk_simple_management=True)
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings', desk_simple_management=True)
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     time_period = TimePeriod.objects.create(
         desk=desk, weekday=0, start_time=datetime.time(9, 0), end_time=datetime.time(12, 0)
@@ -1106,7 +1104,7 @@ def test_meetings_agenda_edit_time_period_desk_simple_management(app, admin_user
 
 
 def test_meetings_agenda_delete_time_period(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     TimePeriod.objects.create(
         desk=desk, weekday=2, start_time=datetime.time(10, 0), end_time=datetime.time(18, 0)
@@ -1124,7 +1122,7 @@ def test_meetings_agenda_delete_time_period(app, admin_user):
 
 
 def test_meetings_agenda_delete_time_period_desk_simple_management(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings', desk_simple_management=True)
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings', desk_simple_management=True)
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     time_period = TimePeriod.objects.create(
         desk=desk, weekday=0, start_time=datetime.time(9, 0), end_time=datetime.time(12, 0)
@@ -1197,7 +1195,7 @@ def test_meetings_agenda_add_desk(app, admin_user):
     }
 )
 def test_meetings_agenda_add_desk_from_another(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     TimePeriod.objects.create(
         weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
@@ -1226,7 +1224,7 @@ def test_meetings_agenda_add_desk_from_another(app, admin_user):
     }
 )
 def test_meetings_agenda_add_desk_simple_management(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings', desk_simple_management=True)
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings', desk_simple_management=True)
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     TimePeriod.objects.create(
         weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
@@ -1259,10 +1257,10 @@ def test_meetings_agenda_add_desk_simple_management(app, admin_user):
 
 
 def test_meetings_agenda_edit_desk(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     desk2 = Desk.objects.create(agenda=agenda, label='Desk B')
-    other_agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    other_agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     other_desk = Desk.objects.create(agenda=other_agenda, label='Desk A')
     assert other_desk.slug == desk.slug
 
@@ -1297,7 +1295,7 @@ def test_meetings_agenda_edit_desk(app, admin_user):
 
 
 def test_meetings_agenda_delete_desk(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     Desk.objects.create(agenda=agenda, label='Desk A')
     desk_b = Desk.objects.create(agenda=agenda, label='Desk B')
 
@@ -1328,7 +1326,7 @@ def test_meetings_agenda_delete_desk(app, admin_user):
 
 
 def test_meetings_agenda_add_time_period_exception(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     desk2 = Desk.objects.create(agenda=agenda, label='Desk B')
 
@@ -1371,7 +1369,7 @@ def test_meetings_agenda_add_time_period_exception(app, admin_user):
 
 
 def test_meetings_agenda_add_time_period_exception_booking_overlaps(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     meeting_type = MeetingType.objects.create(agenda=agenda, label='Blah')
 
@@ -1399,7 +1397,7 @@ def test_meetings_agenda_add_time_period_exception_booking_overlaps(app, admin_u
 
 
 def test_meetings_agenda_add_time_period_exception_all_desks(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
 
     # add global time exception
@@ -3303,7 +3301,7 @@ def test_agenda_month_view_event_outside_timeperiod(app, admin_user, kind):
 
 
 def test_agenda_view_event(app, manager_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     event = Event.objects.create(
@@ -3411,7 +3409,7 @@ def test_import_agenda_as_manager(app, manager_user):
 
 
 def test_import_agenda(app, admin_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
 
@@ -3479,14 +3477,14 @@ def test_import_agenda(app, admin_user):
 
     # reference to unknown group
     agenda_export_dict = json.loads(force_text(agenda_export))
-    agenda_export_dict['agendas'][0]['permissions']['view'] = u'gé1'
+    agenda_export_dict['agendas'][0]['permissions']['view'] = 'gé1'
     agenda_export = json.dumps(agenda_export_dict).encode('utf-8')
     Agenda.objects.all().delete()
     resp = app.get('/manage/', status=200)
     resp = resp.click('Import')
     resp.form['agendas_json'] = Upload('export.json', agenda_export, 'application/json')
     resp = resp.form.submit()
-    assert u'Missing roles: &quot;gé1&quot;' in resp.text
+    assert 'Missing roles: &quot;gé1&quot;' in resp.text
     del agenda_export_dict['agendas'][0]['permissions']['view']
 
     # missing field
@@ -3832,7 +3830,7 @@ def test_virtual_agenda_settings_add_excluded_period(app, admin_user):
     assert tp.end_time.minute == 0
 
     resp = resp.follow()
-    assert u'Monday / 10 a.m. → 5 p.m.' in resp.text
+    assert 'Monday / 10 a.m. → 5 p.m.' in resp.text
 
 
 def test_virtual_agenda_settings_edit_excluded_period(app, admin_user):
@@ -4033,7 +4031,7 @@ def test_cant_add_meetingtype_if_virtual_agenda(app, admin_user):
 
 
 def test_duplicate_agenda(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo Bar', slug='foo-bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo Bar', slug='foo-bar', kind='meetings')
     assert Agenda.objects.count() == 1
 
     app = login(app)
@@ -4338,7 +4336,7 @@ def test_export_site(app, admin_user):
     site_json = json.loads(resp.text)
     assert site_json == {'unavailability_calendars': [], 'agendas': [], 'absence_reason_groups': []}
 
-    agenda = Agenda.objects.create(label=u'Foo Bar', kind='events')
+    agenda = Agenda.objects.create(label='Foo Bar', kind='events')
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
     UnavailabilityCalendar.objects.create(label='Calendar 1')
     resp = app.get('/manage/agendas/export/')
diff --git a/tests/manager/test_category.py b/tests/manager/test_category.py
index bed5acb..f583722 100644
--- a/tests/manager/test_category.py
+++ b/tests/manager/test_category.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import pytest
 
 from chrono.agendas.models import Agenda, Category
@@ -10,7 +8,7 @@ pytestmark = pytest.mark.django_db
 
 
 def test_list_categories_as_manager(app, manager_user):
-    agenda = Agenda(label=u'Foo Bar')
+    agenda = Agenda(label='Foo Bar')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     app = login(app, username='manager', password='manager')
@@ -34,7 +32,7 @@ def test_add_category(app, admin_user):
 
 
 def test_add_category_as_manager(app, manager_user):
-    agenda = Agenda(label=u'Foo Bar')
+    agenda = Agenda(label='Foo Bar')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     app = login(app, username='manager', password='manager')
@@ -57,7 +55,7 @@ def test_edit_category(app, admin_user):
 
 
 def test_edit_category_as_manager(app, manager_user):
-    agenda = Agenda(label=u'Foo Bar')
+    agenda = Agenda(label='Foo Bar')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     category = Category.objects.create(label='Foo bar')
@@ -77,7 +75,7 @@ def test_delete_category(app, admin_user):
 
 
 def test_delete_category_as_manager(app, manager_user):
-    agenda = Agenda(label=u'Foo Bar')
+    agenda = Agenda(label='Foo Bar')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     category = Category.objects.create(label='Foo bar')
diff --git a/tests/manager/test_event.py b/tests/manager/test_event.py
index b3f048f..69b0913 100644
--- a/tests/manager/test_event.py
+++ b/tests/manager/test_event.py
@@ -1,9 +1,7 @@
-# -*- coding: utf-8 -*-
-
 import codecs
 import datetime
+from unittest import mock
 
-import mock
 import pytest
 import requests
 from django.core.management import call_command
@@ -20,7 +18,7 @@ pytestmark = pytest.mark.django_db
 
 
 def test_add_event(app, admin_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.maximal_booking_delay = 0
     agenda.save()
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
@@ -71,7 +69,7 @@ def test_add_event_on_missing_agenda(app, admin_user):
 
 
 def test_add_event_as_manager(app, manager_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
@@ -111,7 +109,7 @@ def test_add_event_as_manager(app, manager_user):
 
 def test_edit_event(settings, app, admin_user):
     settings.LANGUAGE_CODE = 'fr-fr'  # check date initial value format
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)), places=20, agenda=agenda)
     event.save()
@@ -144,7 +142,7 @@ def test_edit_event(settings, app, admin_user):
 
 
 def test_event_digit_slug(app, admin_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.maximal_booking_delay = 0
     agenda.save()
     event = Event.objects.create(agenda=agenda, start_datetime=now(), places=10)
@@ -162,7 +160,7 @@ def test_edit_missing_event(app, admin_user):
 
 
 def test_edit_event_as_manager(app, manager_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
@@ -340,7 +338,7 @@ def test_edit_recurring_event_with_end_date(settings, app, admin_user, freezer):
 
 
 def test_booked_places(app, admin_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)), places=10, agenda=agenda)
     event.save()
@@ -355,7 +353,7 @@ def test_booked_places(app, admin_user):
 
 
 def test_event_classes(app, admin_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
     event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)), places=10, agenda=agenda)
@@ -390,7 +388,7 @@ def test_event_classes(app, admin_user):
 
 
 def test_delete_event(app, admin_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
     event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)), places=10, agenda=agenda)
@@ -406,7 +404,7 @@ def test_delete_event(app, admin_user):
 
 
 def test_delete_busy_event(app, admin_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
     event = Event(start_datetime=now() + datetime.timedelta(days=10), places=10, agenda=agenda)
@@ -477,7 +475,7 @@ def test_delete_recurring_event(app, admin_user, freezer):
 
 
 def test_delete_event_as_manager(app, manager_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.edit_role = manager_user.groups.all()[0]
     agenda.save()
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
@@ -494,7 +492,7 @@ def test_delete_event_as_manager(app, manager_user):
 
 
 def test_export_events(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar')
+    agenda = Agenda.objects.create(label='Foo bar')
 
     app = login(app)
     resp = app.get('/manage/agendas/%s/export-events' % agenda.id)
@@ -534,7 +532,7 @@ def test_export_events(app, admin_user):
 
 
 def test_export_events_wrong_kind(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
 
     app = login(app)
     app.get('/manage/agendas/%s/export-events' % agenda.id, status=404)
@@ -544,7 +542,7 @@ def test_export_events_wrong_kind(app, admin_user):
 
 
 def test_import_events(app, admin_user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
 
@@ -607,52 +605,50 @@ def test_import_events(app, admin_user):
     Event.objects.all().delete()
 
     resp = app.get('/manage/agendas/%s/import-events' % agenda.id, status=200)
-    resp.form['events_csv_file'] = Upload(
-        't.csv', u'2016-09-16,18:00,10,5,éléphant'.encode('utf-8'), 'text/csv'
-    )
+    resp.form['events_csv_file'] = Upload('t.csv', '2016-09-16,18:00,10,5,éléphant'.encode(), 'text/csv')
     resp = resp.form.submit(status=302)
     assert Event.objects.count() == 1
     assert Event.objects.all()[0].start_datetime == make_aware(datetime.datetime(2016, 9, 16, 18, 0))
     assert Event.objects.all()[0].places == 10
     assert Event.objects.all()[0].waiting_list_places == 5
-    assert Event.objects.all()[0].label == u'éléphant'
+    assert Event.objects.all()[0].label == 'éléphant'
     Event.objects.all().delete()
 
     # BOM
     resp = app.get('/manage/agendas/%s/import-events' % agenda.id, status=200)
     resp.form['events_csv_file'] = Upload(
-        't.csv', codecs.BOM_UTF8 + u'2016-09-16,18:00,10,5,éléphant'.encode('utf-8'), 'text/csv'
+        't.csv', codecs.BOM_UTF8 + '2016-09-16,18:00,10,5,éléphant'.encode(), 'text/csv'
     )
     resp = resp.form.submit(status=302)
     assert Event.objects.count() == 1
     assert Event.objects.all()[0].start_datetime == make_aware(datetime.datetime(2016, 9, 16, 18, 0))
     assert Event.objects.all()[0].places == 10
     assert Event.objects.all()[0].waiting_list_places == 5
-    assert Event.objects.all()[0].label == u'éléphant'
+    assert Event.objects.all()[0].label == 'éléphant'
     Event.objects.all().delete()
 
     resp = app.get('/manage/agendas/%s/import-events' % agenda.id, status=200)
     resp.form['events_csv_file'] = Upload(
-        't.csv', u'2016-09-16,18:00,10,5,éléphant'.encode('iso-8859-15'), 'text/csv'
+        't.csv', '2016-09-16,18:00,10,5,éléphant'.encode('iso-8859-15'), 'text/csv'
     )
     resp = resp.form.submit(status=302)
     assert Event.objects.count() == 1
     assert Event.objects.all()[0].start_datetime == make_aware(datetime.datetime(2016, 9, 16, 18, 0))
     assert Event.objects.all()[0].places == 10
     assert Event.objects.all()[0].waiting_list_places == 5
-    assert Event.objects.all()[0].label == u'éléphant'
+    assert Event.objects.all()[0].label == 'éléphant'
     Event.objects.all().delete()
 
     resp = app.get('/manage/agendas/%s/import-events' % agenda.id, status=200)
     resp.form['events_csv_file'] = Upload(
-        't.csv', u'2016-09-16,18:00,10,5,éléphant'.encode('eucjp'), 'text/csv'
+        't.csv', '2016-09-16,18:00,10,5,éléphant'.encode('eucjp'), 'text/csv'
     )
     resp = resp.form.submit(status=302)
     assert Event.objects.count() == 1
     assert Event.objects.all()[0].start_datetime == make_aware(datetime.datetime(2016, 9, 16, 18, 0))
     assert Event.objects.all()[0].places == 10
     assert Event.objects.all()[0].waiting_list_places == 5
-    assert Event.objects.all()[0].label == u'\x8f«±l\x8f«±phant'  # eucjp interpreted as iso-8859-15
+    assert Event.objects.all()[0].label == '\x8f«±l\x8f«±phant'  # eucjp interpreted as iso-8859-15
     Event.objects.all().delete()
 
     resp = app.get('/manage/agendas/%s/import-events' % agenda.id, status=200)
@@ -754,9 +750,13 @@ def test_import_events(app, admin_user):
         resp = resp.form.submit(status=302)
         assert len(ctx.captured_queries) == 22
     assert Event.objects.count() == 5
-    assert set(Event.objects.values_list('slug', flat=True)) == set(
-        ['labelb', 'labelb-1', 'labelb-2', 'labelb-3', 'labelb-4']
-    )
+    assert set(Event.objects.values_list('slug', flat=True)) == {
+        'labelb',
+        'labelb-1',
+        'labelb-2',
+        'labelb-3',
+        'labelb-4',
+    }
 
     # forbidden numerical slug
     Event.objects.all().delete()
@@ -768,7 +768,7 @@ def test_import_events(app, admin_user):
 
 
 def test_import_events_existing_event(app, admin_user, freezer):
-    agenda = Agenda.objects.create(label=u'Foo bar')
+    agenda = Agenda.objects.create(label='Foo bar')
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
 
     app = login(app)
@@ -803,7 +803,7 @@ def test_import_events_existing_event(app, admin_user, freezer):
                 not in resp.text
             )
         assert event.start_datetime == make_aware(
-            datetime.datetime(*[int(v) for v in date.split('-')], *[int(v) for v in time.split(':')])
+            datetime.datetime(*(int(v) for v in date.split('-')), *(int(v) for v in time.split(':')))
         )
 
     # change date or time
@@ -867,7 +867,7 @@ def test_import_events_existing_event(app, admin_user, freezer):
 
 
 def test_import_events_wrong_kind(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
 
     app = login(app)
     app.get('/manage/agendas/%s/import-events' % agenda.id, status=404)
